Announcement

Collapse
No announcement yet.

Restoring board..need help!

Collapse
X
 
  • Filter
  • Time
  • Show
Clear All
new posts

  • Restoring board..need help!

    ----
    Last edited by pr3dsi; Mon 21 Jul '08, 10:55am.

  • #2
    Is the backup from the same version as your vB files? If so, the only reliable method of restoring a database is with shell access via telnet or ssh. Please see the instructions here:

    http://www.vbulletin.com/docs/html/m...ce_ssh_restore

    Note: Some people have reported success with these scripts:

    MySQLDumper:
    http://www.mysqldumper.de/en/index.php

    MySQLHotxcopy:
    http://www.vbulletin.com/forum/showt...t=mysqlhotcopy
    Steve Machol, former vBulletin Customer Support Manager (and NOT retired!)
    Change CKEditor Colors to Match Style (for 4.1.4 and above)

    Steve Machol Photography


    Mankind is the only creature smart enough to know its own history, and dumb enough to ignore it.


    Comment


    • #3
      no..i believe the backup is from the original board..which was a different version then the newly installed version...how can i merge the two? or how do i go about making this work?

      Comment


      • #4
        You should restore the backup to a new database, edit your config.php to point to that db then run upgrade.php.
        Steve Machol, former vBulletin Customer Support Manager (and NOT retired!)
        Change CKEditor Colors to Match Style (for 4.1.4 and above)

        Steve Machol Photography


        Mankind is the only creature smart enough to know its own history, and dumb enough to ignore it.


        Comment


        • #5
          wait..so i make another database....then point the config.php to that and then run the install.php again? cuz i don't think i'm upgrading i'm just installing the whole new board again..

          also could i just get the exact same older vesion of my board..3.5.3 and then re-install that on a separate database once again..then inject my backup on that new board and then upgrade from there?

          Comment


          • #6
            No, you run upgrade.php, not install.php.
            Steve Machol, former vBulletin Customer Support Manager (and NOT retired!)
            Change CKEditor Colors to Match Style (for 4.1.4 and above)

            Steve Machol Photography


            Mankind is the only creature smart enough to know its own history, and dumb enough to ignore it.


            Comment


            • #7
              i'm so sorry..i am so confused heh..so once this .sql file has been injected...and my config.php is pointing to the new-recently-reinstalled board

              i run the upgrade.php ?

              Comment


              • #8
                Yes, that's why I posted upgrade.php twice now.
                Steve Machol, former vBulletin Customer Support Manager (and NOT retired!)
                Change CKEditor Colors to Match Style (for 4.1.4 and above)

                Steve Machol Photography


                Mankind is the only creature smart enough to know its own history, and dumb enough to ignore it.


                Comment


                • #9
                  arite ok...i updated the config.php file with the new database name..i was goin through the steps but got stuck on step 7 and this is what it said:


                  Invalid SQL:
                  ALTER TABLE post_parsed RENAME postparsed;

                  MySQL Error : Table 'postparsed' already exists
                  Error Number : 1050

                  Comment


                  • #10
                    This means that you either have not uploaded the correct files or the database is not of the version you think it is.
                    Steve Machol, former vBulletin Customer Support Manager (and NOT retired!)
                    Change CKEditor Colors to Match Style (for 4.1.4 and above)

                    Steve Machol Photography


                    Mankind is the only creature smart enough to know its own history, and dumb enough to ignore it.


                    Comment


                    • #11
                      hmm..damn..well there's only one .sql file to upload which was the database backup...what do you suggest i should do now?

                      Comment


                      • #12
                        Which version is it from?
                        Steve Machol, former vBulletin Customer Support Manager (and NOT retired!)
                        Change CKEditor Colors to Match Style (for 4.1.4 and above)

                        Steve Machol Photography


                        Mankind is the only creature smart enough to know its own history, and dumb enough to ignore it.


                        Comment


                        • #13
                          ok i just looked at my original files i'd downloaded when i set this board up and it read: 3.0.7

                          Comment


                          • #14
                            There is no way you can get the error in post #7 with a 3.0.7 database since that table did not exist in 3.0.7.
                            Steve Machol, former vBulletin Customer Support Manager (and NOT retired!)
                            Change CKEditor Colors to Match Style (for 4.1.4 and above)

                            Steve Machol Photography


                            Mankind is the only creature smart enough to know its own history, and dumb enough to ignore it.


                            Comment


                            • #15
                              hmm..ok..maybe i did update it then ..well this is the only other version i see:
                              3.5.3

                              Comment

                              widgetinstance 262 (Related Topics) skipped due to lack of content & hide_module_if_empty option.
                              Working...
                              X